Bug 175778 - Accessing automounted directories can cause a process to hang forever
Accessing automounted directories can cause a process to hang forever
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeffrey Moyer
Brock Organ
:
Depends On:
Blocks: 181409
  Show dependency treegraph
 
Reported: 2005-12-14 16:09 EST by Jeffrey Moyer
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2006-0575
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-10 17:45:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fix a race at the tail end of expire (515 bytes, patch)
2005-12-14 16:09 EST, Jeffrey Moyer
no flags Details | Diff

  None (edit)
Description Jeffrey Moyer 2005-12-14 16:09:57 EST
+++ This bug was initially created as a clone of Bug #160600 +++

Description of problem:
Automount can cause a program to hang when accessing a directory that is being
expired.

Version-Release number of selected component (if applicable):
autofs-4.1.3-130
kernel-2.4.21-32

How reproducible:
No reproducer available.

Steps to Reproduce:
1.
2.
3.
  
Actual results:
If the race is triggered, the process performing the lookup will hang
indefinitely.  You will be able to interrupt it, though.

Expected results:


Additional info:
This issue was reported upstream, and is resolved with the attached patch.  The
race is pretty clear, once you understand the code path, and the fix looks
straight forward and correct.

-- Additional comment from jmoyer@redhat.com on 2005-06-15 19:54 EST --
Created an attachment (id=115514)
Fix a race in the tail end of an expire event, causing a process to hang forever.


-- Additional comment from jmoyer@redhat.com on 2005-06-15 19:55 EST --
Posting patch to internal mailing list for review.
Comment 1 Jeffrey Moyer 2005-12-14 16:09:57 EST
Created attachment 122247 [details]
fix a race at the tail end of expire
Comment 2 Jeffrey Moyer 2006-01-04 13:02:59 EST
Posted internally for review on 12/14/2005.
Comment 7 Jason Baron 2006-04-11 11:42:13 EDT
committed in stream U4 build 34.16. A test kernel with this patch is available
from http://people.redhat.com/~jbaron/rhel4/
Comment 12 Red Hat Bugzilla 2006-08-10 17:45:52 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0575.html

Note You need to log in before you can comment on or make changes to this bug.